GLM 0.9.5

- Main Page
- Related Pages
- Modules
- Namespaces
- Files

Typedefs | Functions
GLM_GTX_integer
GTX Extensions (Experimental)

## Typedefs
typedef signed int | sint

## Functions
template<typename genType >
genType | factorial (genType const &x)
unsigned int | floor_log2 (unsigned int x)
template<typename genIUType >
genIUType | log2 (genIUType const &x)
int | mod (int x, int y)
uint | mod (uint x, uint y)
uint | nlz (uint x)
int | pow (int x, int y)
uint | pow (uint x, uint y)
int | sqrt (int x)
uint | sqrt (uint x)

## Detailed Description

Add support for integer for core functions.

<glm/gtx/integer.hpp> need to be included to use these functionalities.

## Typedef Documentation

typedef signed int sint

32bit signed integer.

From GLM_GTX_integer extension.

Definition at line 81 of file gtx/integer.hpp.

## Function Documentation

genType glm::factorial | ( | genType const & | x | ) |

Return the factorial value of a number (!12 max, integer only) From GLM_GTX_integer extension.

unsigned int glm::floor_log2 | ( | unsigned int | x | ) |

Returns the floor log2 of x.

From GLM_GTX_integer extension.

genIUType glm::log2 | ( | genIUType const & | x | ) |

Returns the log2 of x.

Can be reliably using to compute mipmap count from the texture size. From GLM_GTX_integer extension.

int glm::mod | ( | int | x,
|  | int | y
| ) |  |

Modulus.

Returns x - y * floor(x / y) for each component in x using the floating point value y. From GLM_GTX_integer extension.

uint glm::mod | ( | uint | x,
|  | uint | y
| ) |  |

Modulus.

Returns x - y * floor(x / y) for each component in x using the floating point value y. From GLM_GTX_integer extension.

uint glm::nlz | ( | uint | x | ) |

Returns the number of leading zeros.

From GLM_GTX_integer extension.

int glm::pow | ( | int | x,
|  | int | y
| ) |  |

Returns x raised to the y power.

From GLM_GTX_integer extension.

uint glm::pow | ( | uint | x,
|  | uint | y
| ) |  |

Returns x raised to the y power.

From GLM_GTX_integer extension.

int glm::sqrt | ( | int | x | ) |

Returns the positive square root of x.

From GLM_GTX_integer extension.

uint glm::sqrt | ( | uint | x | ) |

Returns the positive square root of x.

From GLM_GTX_integer extension.